Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.cs.util
Class PrintConst

    java.lang.Object
      jet.cs.util.PrintConst

    public class PrintConst

extends java.lang.Object

Class `PrintConst` defines some constant values. These constant values can be used in JSPs (Java Server Pages).

Field Summary
`static java.lang.String` | `CHROMATICITY_COLOR` CHROMATICITY_COLOR A property for chromaticity: indicates to print in color.
`static java.lang.String` | `CHROMATICITY_MONOCHROME` CHROMATICITY_MONOCHROME A property for chromaticity: indicates to print in monochrome, with colors converted to shades of gray.
`static java.lang.String` | `JRS_PREFIX` JRS_PREFIX The prefix of JReport HTTP query fields (jrs.).
`static java.lang.String` | `MARGINS_UNIT_INCH` MARGINS_UNIT_INCH A property about print: specifies the page margin unit as Inch.
`static java.lang.String` | `MARGINS_UNIT_MM` MARGINS_UNIT_MM A property about print: specifies the page margin unit as MM.
`static java.lang.String` | `ORIENTATION_LANDSCAPE` ORIENTATION_LANSCAPE A property for orientation: indicates the content will be imaged across the long edge of the medium.
`static java.lang.String` | `ORIENTATION_PORTRAIT` ORIENTATION_PORTRAIT A property for orientation: indicates the content will be imaged across the short edge of the medium.
`static java.lang.String` | `ORIENTATION_REVERSE_LANDSCAPE` ORIENTATION_REVERSE_LANDSCAPE A property for orientation: indicates the content will be imaged across the long edge of the medium, but in the opposite manner from landscape.
`static java.lang.String` | `ORIENTATION_REVERSE_PORTRAIT` ORIENTATION_REVERSE_PORTRAIT A property for orientation: indicates the content will be imaged across the short edge of the medium, but in the opposite manner from portrait.
`static int` | `PRINT_JDK1_1_METHOD` PRINT_JDK1_1_METHOD A property about print: indicates to use jdk1.1 method to print.
`static int` | `PRINT_JDK1_2_METHOD` PRINT_JDK1_2_METHOD A property about print: indicates to use jdk1.2 method to print.
`static int` | `PRINT_JDK1_4_METHOD` PRINT_JDK1_4_METHOD A property about print: indicates to use jdk1.4 method to print.
`static java.lang.String` | `QUALITY_DRAFT` QUALITY_DRAFT A property for print quality: indicates to use the lowest quality available on the printer.
`static java.lang.String` | `QUALITY_HIGH` QUALITY_HIGH A property for print quality: indicates to use the highest quality available on the printer.
`static java.lang.String` | `QUALITY_NORMAL` QUALITY_NORMAL A property for print quality: indicates to use the normal or intermediate quality on the printer.
`static java.lang.String` | `SHEETCOLLATE_COLLATED` SHEETCOLLATE_COLLATED A property for sheet collation: indicate that the sheets within a document appear in a collated order when multiple copies are printed.
`static java.lang.String` | `SHEETCOLLATE_UNCOLLATED` SHEETCOLLATE_UNCOLLATED A property for sheet collation: indicates that the sheets within a document appear in an uncollated order when multiple copies are printed.
`static java.lang.String` | `SIDES_DUPLEX` SIDES_DUPLEX A property for print side: imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, so that the orientation of each pair of print-stream pages on the medium will be correct for the reader as if they were bound to the long edge.
`static java.lang.String` | `SIDES_ONE_SIDED` SIDES_ONE_SIDED A property for print side: imposes each consecutive print-stream page upon the same side of consecutive media sheets.
`static java.lang.String` | `SIDES_TUMBLE` SIDES_TUMBLE A property for print side: imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, so that the orientation of each pair of print-stream pages on the medium will be correct for the reader as if they were bound to the short edge.
`static java.lang.String` | `TAG_AFTER_RANGE` TAG_AFTER_RANGE A property about print: specifies to which page to end the print.
`static java.lang.String` | `TAG_FORWARD_RANGE` TAG_FORWARD_RANGE A property about print: specifies from which page to begin the print.
`static java.lang.String` | `TAG_HAS_MARGINS` TAG_HAS_MARGINS A property about print: specifies whether to print page margins or not.
`static java.lang.String` | `TAG_IS_JOB_ATTRIBUTES` TAG_IS_JOB_ATTRIBUTES A property about print: specifies whether to set print job attributes.
`static java.lang.String` | `TAG_IS_PRINT_CHROMATICITY` TAG_IS_PRINT_CHROMATICITY A property about print: specifies whether to set monochrome printing.
`static java.lang.String` | `TAG_IS_PRINT_MEDIATRAY` TAG_IS_PRINT_MEDIATRAY A property about print: specifies whether to set the print mediatray.
`static java.lang.String` | `TAG_IS_PRINT_ORIENTATION` TAG_IS_PRINT_ORIENTATION A property about print: specifies whether to set print orientation.
`static java.lang.String` | `TAG_IS_PRINT_QUALITY` TAG_IS_PRINT_QUALITY A property about print: specifies whether to set print quality.
`static java.lang.String` | `TAG_IS_PRINT_SHEETCOLLATE` TAG_IS_PRINT_SHEETCOLLATE A property about print: specifies whether to set print sheet collation.
`static java.lang.String` | `TAG_IS_PRINT_SIDES` TAG_IS_PRINT_SIDES A property about print: specifies whether to set print sides.
`static java.lang.String` | `TAG_IS_TO_FILE` TAG_IS_TO_FILE A property about print: specifies if the pages are to be print to a file.
`static java.lang.String` | `TAG_JOB_NAME` TAG_JOB_NAME property A about print: specifies the print job name.
`static java.lang.String` | `TAG_MARGINS_BOTTOM` TAG_MARGINS_BOTTOM A property about print: specifies to print bottom page margins.
`static java.lang.String` | `TAG_MARGINS_LEFT` TAG_MARGINS_LEFT A property about print: specifies to print left page margins.
`static java.lang.String` | `TAG_MARGINS_RIGHT` TAG_MARGINS_RIGHT A property about print: specifies to print right page margins.
`static java.lang.String` | `TAG_MARGINS_TOP` TAG_MARGINS_TOP A property about print: specifies print top page margins.
`static java.lang.String` | `TAG_MARGINS_UNIT` TAG_MARGINS_UNIT A property about print: specifies the unit of page margins: MM or Inch.
`static java.lang.String` | `TAG_PRINT_CHROMATICITY` TAG_PRINT_CHROMATICITY A property about print: specifies whether monochrome or color printing.
`static java.lang.String` | `TAG_PRINT_COPIES` TAG_PRINT_COPIES A property about print: specifies how many copies to print each specified page.
`static java.lang.String` | `TAG_PRINT_MEDIATRAY` TAG_PRINT_MEDIATRAY A property about print: indicates the paper trays on a printer.
`static java.lang.String` | `TAG_PRINT_ORIENTATION` TAG_PRINT_ORIENTATION A property about print: indicates the desired orientation for printed print-stream pages.
`static java.lang.String` | `TAG_PRINT_PRIORITY` TAG_PRINT_PRIORITY A property about print: specifies the print priority.
`static java.lang.String` | `TAG_PRINT_QUALITY` TAG_PRINT_QUALITY A property about print: specifies the print quality that the printer uses for the job.
`static java.lang.String` | `TAG_PRINT_RANGE` TAG_PRINT_RANGE A property about print: specifies how print page range is to be imposed.
`static java.lang.String` | `TAG_PRINT_SHEETCOLLATE` TAG_PRINT_SHEETCOLLATE A property about print: specifies whether or not the media sheets of each copy of each printed document in a job are to be in sequence when multiple copies of the document are specified by the Copies attribute.
`static java.lang.String` | `TAG_PRINT_SIDES` TAG_PRINT_SIDES A property about print: specifies how print-stream pages are to be imposed upon the sides of an instance of a selected medium, i.e.
`static java.lang.String` | `TAG_PRINT_SIZE` TAG_PRINT_SIZE A property about print: specifies print pages size.
`static java.lang.String` | `TAG_PRINT_USEJDK` TAG_PRINT_USEJDK A property about print: indicates the jdk version for the print.
`static java.lang.String` | `TAG_TO_FILE` TAG_TO_FILE A property about print: specifies to print pages to a file.
`static java.lang.String` | `TAG_USER_NAME` TAG_USER_NAME property A about print: specifies the print user name.
`static java.lang.String` | `TRAY_BOTTOM` TRAY_BOTTOM A property for mediatray: indicates to use the bottom input tray in the printer.
`static java.lang.String` | `TRAY_ENVELOPE` TRAY_ENVELOPE A property for mediatray: indicates to use the envelope input tray in the printer.
`static java.lang.String` | `TRAY_LARGE_CAPACITY` TRAY_LARGE_CAPACITY A property for mediatray: indicates to use the large capacity input tray in the printer.
`static java.lang.String` | `TRAY_MAIN` TRAY_MAIN A property for mediatray: indicates to use the main input tray in the printer.
`static java.lang.String` | `TRAY_MANUAL` TRAY_MANUAL A property for mediatray: indicates to use the manual feed input tray in the printer.
`static java.lang.String` | `TRAY_MIDDLE` TRAY_MIDDLE A property for mediatray: indicates to use the middle input tray in the printer.
`static java.lang.String` | `TRAY_SIDE` TRAY_SIDE A property for mediatray: indicates to use the side input tray.
`static java.lang.String` | `TRAY_TOP` TRAY_TOP A property for mediatray: indicates to use the top input tray in the printer.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JRS_PREFIX

    public static final java.lang.String JRS_PREFIX

  JRS_PREFIX The prefix of JReport HTTP query fields (jrs.).

  See Also:
    Constant Field Values

### TAG_PRINT_USEJDK

    public static final java.lang.String TAG_PRINT_USEJDK

  TAG_PRINT_USEJDK A property about print: indicates the jdk version for the print.

  See Also:
    Constant Field Values

### PRINT_JDK1_1_METHOD

    public static final int PRINT_JDK1_1_METHOD

  PRINT_JDK1_1_METHOD A property about print: indicates to use jdk1.1 method to print.

  See Also:
    Constant Field Values

### PRINT_JDK1_2_METHOD

    public static final int PRINT_JDK1_2_METHOD

  PRINT_JDK1_2_METHOD A property about print: indicates to use jdk1.2 method to print.

  See Also:
    Constant Field Values

### PRINT_JDK1_4_METHOD

    public static final int PRINT_JDK1_4_METHOD

  PRINT_JDK1_4_METHOD A property about print: indicates to use jdk1.4 method to print.

  See Also:
    Constant Field Values

### TAG_IS_PRINT_MEDIATRAY

    public static final java.lang.String TAG_IS_PRINT_MEDIATRAY

  TAG_IS_PRINT_MEDIATRAY A property about print: specifies whether to set the print mediatray.

  See Also:
    Constant Field Values

### TAG_PRINT_MEDIATRAY

    public static final java.lang.String TAG_PRINT_MEDIATRAY

  TAG_PRINT_MEDIATRAY A property about print: indicates the paper trays on a printer.

  See Also:
    Constant Field Values

### TAG_IS_PRINT_ORIENTATION

    public static final java.lang.String TAG_IS_PRINT_ORIENTATION

  TAG_IS_PRINT_ORIENTATION A property about print: specifies whether to set print orientation.

  See Also:
    Constant Field Values

### TAG_PRINT_ORIENTATION

    public static final java.lang.String TAG_PRINT_ORIENTATION

  TAG_PRINT_ORIENTATION A property about print: indicates the desired orientation for printed print-stream pages.

  See Also:
    Constant Field Values

### TAG_IS_PRINT_CHROMATICITY

    public static final java.lang.String TAG_IS_PRINT_CHROMATICITY

  TAG_IS_PRINT_CHROMATICITY A property about print: specifies whether to set monochrome printing.

  See Also:
    Constant Field Values

### TAG_PRINT_CHROMATICITY

    public static final java.lang.String TAG_PRINT_CHROMATICITY

  TAG_PRINT_CHROMATICITY A property about print: specifies whether monochrome or color printing.

  See Also:
    Constant Field Values

### TAG_IS_PRINT_QUALITY

    public static final java.lang.String TAG_IS_PRINT_QUALITY

  TAG_IS_PRINT_QUALITY A property about print: specifies whether to set print quality.

  See Also:
    Constant Field Values

### TAG_PRINT_QUALITY

    public static final java.lang.String TAG_PRINT_QUALITY

  TAG_PRINT_QUALITY A property about print: specifies the print quality that the printer uses for the job.

  See Also:
    Constant Field Values

### TAG_IS_PRINT_SIDES

    public static final java.lang.String TAG_IS_PRINT_SIDES

  TAG_IS_PRINT_SIDES A property about print: specifies whether to set print sides.

  See Also:
    Constant Field Values

### TAG_PRINT_SIDES

    public static final java.lang.String TAG_PRINT_SIDES

  TAG_PRINT_SIDES A property about print: specifies how print-stream pages are to be imposed upon the sides of an instance of a selected medium, i.e.

  See Also:
    Constant Field Values

### TAG_IS_PRINT_SHEETCOLLATE

    public static final java.lang.String TAG_IS_PRINT_SHEETCOLLATE

  TAG_IS_PRINT_SHEETCOLLATE A property about print: specifies whether to set print sheet collation.

  See Also:
    Constant Field Values

### TAG_PRINT_SHEETCOLLATE

    public static final java.lang.String TAG_PRINT_SHEETCOLLATE

  TAG_PRINT_SHEETCOLLATE A property about print: specifies whether or not the media sheets of each copy of each printed document in a job are to be in sequence when multiple copies of the document are specified by the Copies attribute.

  See Also:
    Constant Field Values

### TAG_PRINT_SIZE

    public static final java.lang.String TAG_PRINT_SIZE

  TAG_PRINT_SIZE A property about print: specifies print pages size.

  See Also:
    Constant Field Values

### TAG_PRINT_RANGE

    public static final java.lang.String TAG_PRINT_RANGE

  TAG_PRINT_RANGE A property about print: specifies how print page range is to be imposed. If this property is set to true, it means to print all pages, otherwise specifies TAG_FORWARD_RANGE and TAG_AFTER_RANGE properties to set which pages to be print.

  See Also:
    Constant Field Values

### TAG_FORWARD_RANGE

    public static final java.lang.String TAG_FORWARD_RANGE

  TAG_FORWARD_RANGE A property about print: specifies from which page to begin the print.

  See Also:
    Constant Field Values

### TAG_AFTER_RANGE

    public static final java.lang.String TAG_AFTER_RANGE

  TAG_AFTER_RANGE A property about print: specifies to which page to end the print.

  See Also:
    Constant Field Values

### TAG_PRINT_COPIES

    public static final java.lang.String TAG_PRINT_COPIES

  TAG_PRINT_COPIES A property about print: specifies how many copies to print each specified page.

  See Also:
    Constant Field Values

### TAG_IS_TO_FILE

    public static final java.lang.String TAG_IS_TO_FILE

  TAG_IS_TO_FILE A property about print: specifies if the pages are to be print to a file.

  See Also:
    Constant Field Values

### TAG_TO_FILE

    public static final java.lang.String TAG_TO_FILE

  TAG_TO_FILE A property about print: specifies to print pages to a file.

  See Also:
    Constant Field Values

### TAG_IS_JOB_ATTRIBUTES

    public static final java.lang.String TAG_IS_JOB_ATTRIBUTES

  TAG_IS_JOB_ATTRIBUTES A property about print: specifies whether to set print job attributes.

  See Also:
    Constant Field Values

### TAG_PRINT_PRIORITY

    public static final java.lang.String TAG_PRINT_PRIORITY

  TAG_PRINT_PRIORITY A property about print: specifies the print priority.

  See Also:
    Constant Field Values

### TAG_JOB_NAME

    public static final java.lang.String TAG_JOB_NAME

  TAG_JOB_NAME property A about print: specifies the print job name.

  See Also:
    Constant Field Values

### TAG_USER_NAME

    public static final java.lang.String TAG_USER_NAME

  TAG_USER_NAME property A about print: specifies the print user name.

  See Also:
    Constant Field Values

### TAG_HAS_MARGINS

    public static final java.lang.String TAG_HAS_MARGINS

  TAG_HAS_MARGINS A property about print: specifies whether to print page margins or not.

  See Also:
    Constant Field Values

### TAG_MARGINS_LEFT

    public static final java.lang.String TAG_MARGINS_LEFT

  TAG_MARGINS_LEFT A property about print: specifies to print left page margins.

  See Also:
    Constant Field Values

### TAG_MARGINS_RIGHT

    public static final java.lang.String TAG_MARGINS_RIGHT

  TAG_MARGINS_RIGHT A property about print: specifies to print right page margins.

  See Also:
    Constant Field Values

### TAG_MARGINS_TOP

    public static final java.lang.String TAG_MARGINS_TOP

  TAG_MARGINS_TOP A property about print: specifies print top page margins.

  See Also:
    Constant Field Values

### TAG_MARGINS_BOTTOM

    public static final java.lang.String TAG_MARGINS_BOTTOM

  TAG_MARGINS_BOTTOM A property about print: specifies to print bottom page margins.

  See Also:
    Constant Field Values

### TAG_MARGINS_UNIT

    public static final java.lang.String TAG_MARGINS_UNIT

  TAG_MARGINS_UNIT A property about print: specifies the unit of page margins: MM or Inch.

  See Also:
    Constant Field Values

### MARGINS_UNIT_MM

    public static final java.lang.String MARGINS_UNIT_MM

  MARGINS_UNIT_MM A property about print: specifies the page margin unit as MM.

  See Also:
    Constant Field Values

### MARGINS_UNIT_INCH

    public static final java.lang.String MARGINS_UNIT_INCH

  MARGINS_UNIT_INCH A property about print: specifies the page margin unit as Inch.

  See Also:
    Constant Field Values

### TRAY_BOTTOM

    public static final java.lang.String TRAY_BOTTOM

  TRAY_BOTTOM A property for mediatray: indicates to use the bottom input tray in the printer.

  See Also:
    Constant Field Values

### TRAY_ENVELOPE

    public static final java.lang.String TRAY_ENVELOPE

  TRAY_ENVELOPE A property for mediatray: indicates to use the envelope input tray in the printer.

  See Also:
    Constant Field Values

### TRAY_LARGE_CAPACITY

    public static final java.lang.String TRAY_LARGE_CAPACITY

  TRAY_LARGE_CAPACITY A property for mediatray: indicates to use the large capacity input tray in the printer.

  See Also:
    Constant Field Values

### TRAY_MANUAL

    public static final java.lang.String TRAY_MANUAL

  TRAY_MANUAL A property for mediatray: indicates to use the manual feed input tray in the printer.

  See Also:
    Constant Field Values

### TRAY_MAIN

    public static final java.lang.String TRAY_MAIN

  TRAY_MAIN A property for mediatray: indicates to use the main input tray in the printer.

  See Also:
    Constant Field Values

### TRAY_SIDE

    public static final java.lang.String TRAY_SIDE

  TRAY_SIDE A property for mediatray: indicates to use the side input tray.

  See Also:
    Constant Field Values

### TRAY_TOP

    public static final java.lang.String TRAY_TOP

  TRAY_TOP A property for mediatray: indicates to use the top input tray in the printer.

  See Also:
    Constant Field Values

### TRAY_MIDDLE

    public static final java.lang.String TRAY_MIDDLE

  TRAY_MIDDLE A property for mediatray: indicates to use the middle input tray in the printer.

  See Also:
    Constant Field Values

### ORIENTATION_LANDSCAPE

    public static final java.lang.String ORIENTATION_LANDSCAPE

  ORIENTATION_LANSCAPE A property for orientation: indicates the content will be imaged across the long edge of the medium.

  See Also:
    Constant Field Values

### ORIENTATION_PORTRAIT

    public static final java.lang.String ORIENTATION_PORTRAIT

  ORIENTATION_PORTRAIT A property for orientation: indicates the content will be imaged across the short edge of the medium.

  See Also:
    Constant Field Values

### ORIENTATION_REVERSE_LANDSCAPE

    public static final java.lang.String ORIENTATION_REVERSE_LANDSCAPE

  ORIENTATION_REVERSE_LANDSCAPE A property for orientation: indicates the content will be imaged across the long edge of the medium, but in the opposite manner from landscape.

  See Also:
    Constant Field Values

### ORIENTATION_REVERSE_PORTRAIT

    public static final java.lang.String ORIENTATION_REVERSE_PORTRAIT

  ORIENTATION_REVERSE_PORTRAIT A property for orientation: indicates the content will be imaged across the short edge of the medium, but in the opposite manner from portrait.

  See Also:
    Constant Field Values

### CHROMATICITY_MONOCHROME

    public static final java.lang.String CHROMATICITY_MONOCHROME

  CHROMATICITY_MONOCHROME A property for chromaticity: indicates to print in monochrome, with colors converted to shades of gray.

  See Also:
    Constant Field Values

### CHROMATICITY_COLOR

    public static final java.lang.String CHROMATICITY_COLOR

  CHROMATICITY_COLOR A property for chromaticity: indicates to print in color.

  See Also:
    Constant Field Values

### QUALITY_DRAFT

    public static final java.lang.String QUALITY_DRAFT

  QUALITY_DRAFT A property for print quality: indicates to use the lowest quality available on the printer.

  See Also:
    Constant Field Values

### QUALITY_NORMAL

    public static final java.lang.String QUALITY_NORMAL

  QUALITY_NORMAL A property for print quality: indicates to use the normal or intermediate quality on the printer.

  See Also:
    Constant Field Values

### QUALITY_HIGH

    public static final java.lang.String QUALITY_HIGH

  QUALITY_HIGH A property for print quality: indicates to use the highest quality available on the printer.

  See Also:
    Constant Field Values

### SIDES_DUPLEX

    public static final java.lang.String SIDES_DUPLEX

  SIDES_DUPLEX A property for print side: imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, so that the orientation of each pair of print-stream pages on the medium will be correct for the reader as if they were bound to the long edge.

  See Also:
    Constant Field Values

### SIDES_ONE_SIDED

    public static final java.lang.String SIDES_ONE_SIDED

  SIDES_ONE_SIDED A property for print side: imposes each consecutive print-stream page upon the same side of consecutive media sheets.

  See Also:
    Constant Field Values

### SIDES_TUMBLE

    public static final java.lang.String SIDES_TUMBLE

  SIDES_TUMBLE A property for print side: imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, so that the orientation of each pair of print-stream pages on the medium will be correct for the reader as if they were bound to the short edge.

  See Also:
    Constant Field Values

### SHEETCOLLATE_COLLATED

    public static final java.lang.String SHEETCOLLATE_COLLATED

  SHEETCOLLATE_COLLATED A property for sheet collation: indicate that the sheets within a document appear in a collated order when multiple copies are printed.

  See Also:
    Constant Field Values

### SHEETCOLLATE_UNCOLLATED

    public static final java.lang.String SHEETCOLLATE_UNCOLLATED

  SHEETCOLLATE_UNCOLLATED A property for sheet collation: indicates that the sheets within a document appear in an uncollated order when multiple copies are printed.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD